Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSStatusElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSStatusElement

All Implemented Interfaces:
  Comparable, TextParent, XDSElement

public class XDSStatusElement
extends ElementImpl
implements TextParent, Comparable

A `<status>` element.

See Also:
  `StatusDocument.appendStatusElement()`, `StatusDocument.appendStatusElement()`, `QueryResultDocument.extractStatusElements(java.lang.String)`

Method Summary
`void` | `appendText(String someText)` Appends a single, child text node containing `someText` to this element.
`int` | `compareTo(Object someStatus)` Compares this level to `someStatus`.
`void` | `descriptionAppend(String someText)` Appends a child `<description>` element to this element.
`DescriptionElement` | `descriptionElementExtract()` Returns this element's child `<description>` element.
`String` | `descriptionTextExtract()` Returns the concatenated child text nodes from this element's child `<description>` element.
`void` | `documentAppend(com.novell.nds.dirxml.driver.XmlDocument xml)` Appends a child `<document>` element to this element.
`void` | `exceptionAppend(Exception e, boolean stack)` Appends a child `<exception>` element to this element.
`void` | `exceptionAppend(Throwable t, boolean stack)` Appends a child `<exception>` element to this element.
`String` | `extractText()` Returns the concatenated child text nodes of this element.
`String` | `getEventID()` Gets the value of this element's `event-id` attribute.
`StatusLevel` | `getLevel()` Gets the value of this element's `level` attribute.
`StatusType` | `getType()` Gets the value of this element's `type` attribute.
`void` | `parametersAppend(Map params)` Appends a child `<parameters>` element to this element containing the `Parameter`s in `params`.
`void` | `setEventID(String someID)` Sets this element's `event-id` attribute to `someID`.
`void` | `setLevel(StatusLevel someLevel)` Sets this element's `level` attribute to `someLevel`.
`void` | `setType(StatusType someType)` Sets this element's `type` attribute to `someType`.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.novell.nds.dirxml.driver.xds.XDSElement
`attributeValueGet, attributeValueGet, attributeValueSet, childElements, domDocument, domElement, localName, namespaceName, position, tagName`

Method Detail

### extractText

    public String extractText()

  Description copied from interface: `TextParent`
  Returns the concatenated child text nodes of this element.

  Invocation Context:
    READ

  Specified by:
    `extractText` in interface `TextParent`
  Returns:
    all of the child text nodes of this element; may be `null`; will not return `""`

### getType

    public StatusType getType()

  Gets the value of this element's `type` attribute.

  Invocation Context:
    READ

  Returns:
    may return `null`
  Since:
    DTD 1.1

### getLevel

    public StatusLevel getLevel()

  Gets the value of this element's `level` attribute.

  Invocation Context:
    READ

  Returns:
    will not return `null`

### getEventID

    public String getEventID()

  Gets the value of this element's `event-id` attribute.

  Invocation Context:
    READ

  Returns:
    may be `null`; will not return `""`

### descriptionElementExtract

    public DescriptionElement descriptionElementExtract()

  Returns this element's child `<description>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`

### descriptionTextExtract

    public String descriptionTextExtract()

  Returns the concatenated child text nodes from this element's child `<description>` element.

  Invocation Context:
    READ

  Returns:
    may be `null`; will not return `""`

### setLevel

    public void setLevel(StatusLevel someLevel)

  Sets this element's `level` attribute to `someLevel`.

  Invocation Context:
    WRITE

  Parameters:
    `someLevel` - if `null`, no action is taken

### setType

    public void setType(StatusType someType)

  Sets this element's `type` attribute to `someType`.

  Invocation Context:
    WRITE

  Parameters:
    `someType` - if `null`, no action is taken
  Since:
    DTD 1.1

### setEventID

    public void setEventID(String someID)

  Sets this element's `event-id` attribute to `someID`.

  Invocation Context:
    WRITE

  Parameters:
    `someID` - if `null` or `""`, no action is taken

### appendText

    public void appendText(String someText)

  Description copied from interface: `TextParent`
  Appends a single, child text node containing `someText` to this element.

  Invocation Context:
    WRITE

  Specified by:
    `appendText` in interface `TextParent`
  Parameters:
    `someText` - the text being appended; if `null` or `""`, no action is taken

### parametersAppend

    public void parametersAppend(Map params)

  Appends a child `<parameters>` element to this element containing the `Parameter`s in `params`.

  This method is useful for displaying the parameter values a driver is using in the status document returned from `init(XmlDocument)`

  Invocation Context:
    WRITE

  Parameters:
    `params` - must not be `null`

### descriptionAppend

    public void descriptionAppend(String someText)

  Appends a child `<description>` element to this element. The `<description>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Parameters:
    `someText` - if `null` or `""`, no action is taken

### documentAppend

    public void documentAppend(com.novell.nds.dirxml.driver.XmlDocument xml)

  Appends a child `<document>` element to this element. The `<document;gt;` element contains the element in `xml`.

  Invocation Context:
    WRITE

  Parameters:
    `xml` - if `null` or `""`, an empty `<document>` is appended

### exceptionAppend

    public void exceptionAppend(Exception e,
                                boolean stack)

  Appends a child `<exception>` element to this element. The `<exception>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Parameters:
    `e` - if `null`, no action is taken
    `stack` - append stack trace?

### exceptionAppend

    public void exceptionAppend(Throwable t,
                                boolean stack)

  Appends a child `<exception>` element to this element. The `<exception>` element contains the text `someText`.

  Invocation Context:
    WRITE

  Parameters:
    `t` - if `null`, no action is taken
    `stack` - append stack trace?

### compareTo

    public int compareTo(Object someStatus)

  Compares this level to `someStatus`.

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `someStatus` - may be `null`; this element is greater than `null`
  Returns:
    `XDS.LESS_THAN`:
      if this element is less than `someStatus`
    `XDS.EQUAL`:
      if this element is equal to `someStatus`
    `XDS.GREATER_THAN`:
      if this element is greater than `someStatus`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD